# The URL through which GitLab will be accessed.
external_url "{{ gitlab_external_url }}"

# gitlab.yml configuration
gitlab_rails['time_zone'] = "{{ gitlab_config_time_zone }}"
gitlab_rails['backup_keep_time'] = {{ gitlab_config_backup_keep_time }}
gitlab_rails['backup_path'] = {{ gitlab_config_backup_path }}
gitlab_rails['gitlab_email_enabled'] = {{ gitlab_email_enabled|lower }}
{% if gitlab_email_enabled %}
gitlab_rails['gitlab_email_from'] = "{{ gitlab_email_from }}"
gitlab_rails['gitlab_email_display_name'] = "{{ gitlab_email_display_name }}"
gitlab_rails['gitlab_email_reply_to'] = "{{ gitlab_email_reply_to }}"
{% endif %}

# SMTP server settings, you can find examples here: https://docs.gitlab.com/omnibus/settings/smtp.html, all defaults are in configuration file defaults/main.yml
gitlab_rails['gitlab_smtp_enable'] = {{ gitlab_smtp_enabled|lower | default(false) }}
{% if gitlab_smtp_enabled %}
gitlab_rails['smtp_address'] = "{{ gitlab_smtp_address }}"
gitlab_rails['smtp_port'] = {{ gitlab_smtp_port }}
gitlab_rails['smtp_user_name'] = "{{ gitlab_smtp_user_name }}"
gitlab_rails['smtp_password'] = "{{ gitlab_smtp_password }}"
gitlab_rails['smtp_domain'] = "{{ gitlab_smtp_domain }}"
gitlab_rails['smtp_authentication'] = "{{ gitlab_smtp_authentication }}"
gitlab_rails['smtp_enable_starttls_auto'] = {{ gitlab_smtp_enable_starttls_auto | default(true) }}
# 'none', 'peer', 'client_once', 'fail_if_no_peer_cert'
gitlab_rails['smtp_openssl_verify_mode'] = "{{ gitlab_smtp_openssl_verify_mode | default('peer') }}"
gitlab_rails['smtp_tls'] = "{{ gitlab_smtp_tls | default(false) }}"
{% endif %}

# Whether to redirect http to https.
nginx['redirect_http_to_https'] = {{ gitlab_ssl_redirect_http_to_https|lower }}
nginx['ssl_certificate'] = "{{ gitlab_ssl_certificate_path }}"
nginx['ssl_certificate_key'] = "{{ gitlab_ssl_certificate_key_path }}"

# The directory where Git repositories will be stored.
{% if gitlab_version == "latest" or gitlab_version is version('10.3','>=') %}
git_data_dirs({"default" => {"path" => "{{ gitlab_data_dir }}"}})
{% else %}
git_data_dirs({"default" => "{{ gitlab_data_dir }}"})
{% endif %}

# These settings are documented in more detail at
gitlab_rails['ldap_enabled'] = {{ gitlab_ldap_enabled|lower }}
gitlab_rails['ldap_host'] = '{{ gitlab_ldap_host }}'
gitlab_rails['ldap_port'] = {{ gitlab_ldap_port }}
gitlab_rails['ldap_uid'] = '{{ gitlab_ldap_uid }}'
gitlab_rails['ldap_method'] = '{{ gitlab_ldap_method}}' # 'ssl' or 'plain'
gitlab_rails['ldap_bind_dn'] = '{{ gitlab_ldap_bind_dn }}'
gitlab_rails['ldap_password'] = '{{ gitlab_ldap_password }}'
gitlab_rails['ldap_allow_username_or_email_login'] = true
gitlab_rails['ldap_base'] = '{{ gitlab_ldap_base }}'

# GitLab Nginx
{% if gitlab_nginx_listen_port is defined %}
nginx['listen_port'] = "{{ gitlab_nginx_listen_port }}"
{% endif %}
{% if gitlab_nginx_listen_https is defined %}
nginx['listen_https'] = "{{ gitlab_nginx_listen_https }}"
{% endif %}

#Webhook timeout
gitlab_rails['webhook_timeout'] = 100
